Bug 1307706 - kyotocabinet: FTBFS in rawhide
kyotocabinet: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kyotocabinet (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:45 EST by Fedora Release Engineering
Modified: 2017-02-12 10:02 EST (History)
3 users (show)

See Also:
Fixed In Version: kyotocabinet-1.2.76-11.fc24 kyotocabinet-1.2.76-11.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (24.95 KB, text/plain)
2016-02-13 16:45 EST, Fedora Release Engineering
no flags Details
root.log (80.35 KB, text/plain)
2016-02-13 16:45 EST, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2016-02-13 16:45 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:45:06 EST
Your package kyotocabinet failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12829038

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:45:08 EST
Created attachment 1125179 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:45:10 EST
Created attachment 1125180 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:45:11 EST
Created attachment 1125181 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:51:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Antonio Trande 2016-08-08 13:14:32 EDT
New attempting to reach maintainer.
Comment 6 Robert Scheck 2016-08-08 13:27:34 EDT
Antonio, I am unfortunately lacking a hint how to solve this build failure.
Comment 7 Antonio Trande 2016-08-08 14:00:55 EDT
I have tried this patch from OpenSuse folks; it's working with GCC6 but i don't know if it just bypasses the issue:

https://build.opensuse.org/package/view_file/devel:libraries:c_c++/kyotocabinet/gcc6-fix-errors.patch

Scratch build on rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=15177617
Comment 8 Upstream Release Monitoring 2016-08-14 15:28:12 EDT
robert's kyotocabinet-1.2.76-11.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=791688
Comment 9 Fedora Update System 2016-08-14 17:58:32 EDT
kyotocabinet-1.2.76-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-17bddc2e74
Comment 10 Fedora Update System 2016-08-16 01:56:49 EDT
kyotocabinet-1.2.76-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17bddc2e74
Comment 11 Fedora Update System 2016-08-17 23:50:47 EDT
kyotocabinet-1.2.76-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-08-20 13:53:08 EDT
kyotocabinet-1.2.76-11.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aae701b8b0
Comment 13 Fedora Update System 2016-08-21 15:52:30 EDT
kyotocabinet-1.2.76-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aae701b8b0
Comment 14 Fedora Update System 2016-08-27 06:18:35 EDT
kyotocabinet-1.2.76-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Robert Scheck 2017-02-12 10:02:23 EST
Antonio, the patch from openSUSE was not good: It indeed made the package
building with GCC >= 6 at that time, but now breaks with GCC >= 7 again.

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/7OS7EDKLZDY27C6777O6HE2QMF7YU3X7/
says that "This code is invalid in C++11 and GCC doesn't compile it anymore 
(pointer conversions are only allowed for an integral-literal and not a
character literal)."

But the patch at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=811627
is working with both, switching with kyotocabinet-1.2.76-13 now.

Note You need to log in before you can comment on or make changes to this bug.